Package org.eclipse.birt.core.ui.frameworks.errordisplay

# Class ErrorDialog

java.lang.Object
org.eclipse.birt.core.ui.frameworks.errordisplay.ErrorDialog

All Implemented Interfaces:
  `EventListener`, `org.eclipse.swt.events.SelectionListener`

public class ErrorDialog extends Object implements org.eclipse.swt.events.SelectionListener
ErrorDialog

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_HEIGHT`
`static final int`
`DEFAULT_WIDTH`
`static final int`
`MAX_HEIGHT`
`static final int`
`MAX_TRACE_DEPTH`
`static final String`
`OPTION_ACCEPT`
javadoc comment
`static final String`
`OPTION_CANCEL`

## Constructor Summary

Constructors
Constructor
Description
`ErrorDialog(org.eclipse.swt.widgets.Shell shellParent, String sTitle, String sMessage, String[] sErrors, String[] sFixes)`
`ErrorDialog(org.eclipse.swt.widgets.Shell shellParent, String sTitle, String sMessage, Throwable t)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getOption()`
`void`
`widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)`
`void`
`widgetSelected(org.eclipse.swt.events.SelectionEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### OPTION_ACCEPT

public static final String OPTION_ACCEPT
javadoc comment

See Also:
  - Constant Field Values

### OPTION_CANCEL

public static final String OPTION_CANCEL

See Also:
  - Constant Field Values

### MAX_TRACE_DEPTH

public static final int MAX_TRACE_DEPTH

See Also:
  - Constant Field Values

### DEFAULT_WIDTH

public static final int DEFAULT_WIDTH

See Also:
  - Constant Field Values

### DEFAULT_HEIGHT

public static final int DEFAULT_HEIGHT

See Also:
  - Constant Field Values

### MAX_HEIGHT

public static final int MAX_HEIGHT

See Also:
  - Constant Field Values

## Constructor Details

### ErrorDialog

public ErrorDialog(org.eclipse.swt.widgets.Shell shellParent, String sTitle, String sMessage, String[] sErrors, String[] sFixes)

### ErrorDialog

public ErrorDialog(org.eclipse.swt.widgets.Shell shellParent, String sTitle, String sMessage, Throwable t)

## Method Details

### getOption

public String getOption()

### widgetDefaultSelected

public void widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)

Specified by:
  `widgetDefaultSelected` in interface `org.eclipse.swt.events.SelectionListener`

### widgetSelected

public void widgetSelected(org.eclipse.swt.events.SelectionEvent e)

Specified by:
  `widgetSelected` in interface `org.eclipse.swt.events.SelectionListener`